import java.io.*;
import java.net.*;

public class CaddyHTTPServer
{
	
	final String PROG_NAME = "CaddyHTTPServer";
	HttpServerThread m_HttpServer;
	
public CaddyHTTPServer(String ip)
{	
    int IP = 80;
    try
    {
       IP = Integer.valueOf(ip).intValue(); 
    }
    catch(Exception e)
    {
        IP = 80;
        System.out.println("(CaddyHTTPServer) Error: parsing IP");
    }

	System.out.println(PROG_NAME+" initializing...");
    m_HttpServer = new HttpServerThread(IP);
    m_HttpServer.start();
	//System.exit(0);
}	

public static void main(String[] args)
{
    if(args.length > 0)
    {
	 CaddyHTTPServer TCS = new CaddyHTTPServer(args[0]);
    }
    else
    {
     CaddyHTTPServer TCS = new CaddyHTTPServer("80");
    }
}

}